/*

  Copyright 2000, 2001, 2002 Laurent Wacrenier

  This file is part of libhome

  libhome is free software; you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  libhome is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.
  
  You should have received a copy of the GNU Lesser General Public
  License along with libhome; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA

*/

static char const rcsid[] =
"/* $Id: cleanup.c,v 1.9 2003/11/08 21:30:03 lwa Exp $ */";

#include "config.h"

#include <hparam.h>
#include <stdio.h>

extern void cache_clean(void);
extern void rewritedb_clean(void);
extern void hparam_clean(void);

void home_cleanup(void) {
  extern struct param home_param;

  
  if (home_param.driver && home_param.driver->clean) 
    home_param.driver->clean();
#if WITH_DB
  cache_clean();
  rewritedb_clean();
#endif
  hparam_clean();
}
